Bug 235639 - [NEW PORT] x11/py-caffeine-ng: Tray bar app to temporarily inhibit screensaver and sleep mode
Summary: [NEW PORT] x11/py-caffeine-ng: Tray bar app to temporarily inhibit screensave...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/caffeine-ng/caffei...
Keywords:
Depends on: 235638
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-10 09:31 UTC by Hiroki Tagato
Modified: 2019-03-09 07:36 UTC (History)
1 user (show)

See Also:
tagattie: maintainer-feedback+


Attachments
Shar file (v3.4.2). (4.79 KB, text/plain)
2019-02-10 09:31 UTC, Hiroki Tagato
tagattie: maintainer-approval+
Details
Poudriere build log (releng/12.0 amd64). (67.35 KB, text/plain)
2019-02-10 09:40 UTC, Hiroki Tagato
no flags Details
Updated shar file (5.25 KB, text/plain)
2019-02-21 04:33 UTC, Hiroki Tagato
tagattie: maintainer-approval+
Details
Poudriere testport log (releng/12.0 amd64) (68.78 KB, text/plain)
2019-02-21 04:34 UTC, Hiroki Tagato
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Tagato 2019-02-10 09:31:39 UTC
Created attachment 201888 [details]
Shar file (v3.4.2).

Add a new port x11/py-caffeine-ng.

Description:
Caffeine is a little daemon that sits in your systray, and prevents
the screensaver from showing up, or the system from going to sleep. It
does so when an application is fullscreened (eg: youtube), or when you
click on the systray icon (which you can do, when, eg: reading).

WWW: https://github.com/caffeine-ng/caffeine-ng
Comment 1 Hiroki Tagato 2019-02-10 09:40:27 UTC
Created attachment 201889 [details]
Poudriere build log (releng/12.0 amd64).
Comment 2 Hiroki Tagato 2019-02-21 04:33:40 UTC
Created attachment 202215 [details]
Updated shar file

Shar file updated to avoid plist-related error during poudrire testport.
Comment 3 Hiroki Tagato 2019-02-21 04:34:39 UTC
Created attachment 202216 [details]
Poudriere testport log (releng/12.0 amd64)
Comment 4 commit-hook freebsd_committer 2019-03-09 07:35:28 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar  9 07:34:27 UTC 2019
New revision: 495101
URL: https://svnweb.freebsd.org/changeset/ports/495101

Log:
  New port: x11/py-caffeine-ng.

  Caffeine is a little daemon that sits in your systray, and prevents
  the screensaver from showing up, or the system from going to sleep. It
  does so when an application is fullscreened (eg: youtube), or when you
  click on the systray icon (which you can do, when, eg: reading).

  WWW: https://github.com/caffeine-ng/caffeine-ng

  PR:		235639
  Submitted by: 	Hiroki Tagato <tagattie@yandex.com>

Changes:
  head/x11/Makefile
  head/x11/py-caffeine-ng/
  head/x11/py-caffeine-ng/Makefile
  head/x11/py-caffeine-ng/distinfo
  head/x11/py-caffeine-ng/files/
  head/x11/py-caffeine-ng/files/patch-caffeine_main.py
  head/x11/py-caffeine-ng/files/patch-setup.py
  head/x11/py-caffeine-ng/pkg-descr
Comment 5 Tobias C. Berner freebsd_committer 2019-03-09 07:36:43 UTC
Committed. Thanks :)